<?
define('PROTECTOR', 1);

$headmod = 'shopjuvilir';//фикс. места

$textl='Магазин';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
              echo'<div class="end" align="center"><img src="pic/lavka.jpg"/></div>';


switch($_GET[mod]){

default:
echo"<a href=\"shopjuvilir.php?mod=mag&amp;o=amulet\">Амулеты</a><br/>";
echo"<a href=\"shopjuvilir.php?mod=mag&amp;o=kolco\">Кольца</a>";
break;

case 'mag':
if($_GET[o]!=amulet && $_GET[o]!=kolco){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `tip`='$_GET[o]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"shopjuvilir.php?mod=info&amp;id=$mag[id]\">$mag[name]</a> ($mag[cena] монет) [<a href=\"sell.php?act=ask&amp;id=$mag[id]\">купить</a>]<br/>";
}
}else{
echo"<b>Нет вещей</b><br/>";
}
echo"<a href=\"shopjuvilir.php?\">Назад</a>";
break;
case 'info':
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'amulet':
$tip='Амулет';
break;
case 'kolco':
$tip='Кольцо';
break;
}
switch($mag[klas]){
case 'not':
$klas='Все';
break;
case 'wizard':
$klas='Маг';
break;
case 'fighert':
$klas='Воин';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Интелект: $mag[um]<br/>
Физ. защита: $mag[prot]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интелект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
";
echo"<a href=\"shopjuvilir.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>